Subject: bug#79082: [emacs-bug] bug#79082: 30.1; [reproducibility] sysinfo call during profile dump

From: "Dr. Werner Fink" <[email-masked]>
Date: Wed, 30 Jul 2025 14:32:39 +0200

On 2025/07/30 14:14:34 +0300, Eli Zaretskii wrote:
> > Sorry but this is the defacto standard to get reproducible builds, see
> > 
> >   https://reproducible-builds.org/docs/source-date-epoch/
> > 
> > and any distribution depends on it. On how SOURCE_DATE_EPOCH is
> > determined is an other story.  I've choosen the latest changelog
> > entry as this is here the last change before a package gets
> > submitted to QA staging area.  Means no changes of the package
> > will results in a reproducible build on every rebuild.
> 
> Then I guess this will only work on Posix systems with Bash.  Too bad.

You can use every shell like interpreter which is able to determine an
integer value and set an environment variable.

It would be nice if GNU Emacs upstream would fix the problem with the
two changing values of the gc statistics and lisp engine startup time.
If with my proposal or any other way I simply do not care but the
configure option --disable-build-details should do its job.

Werner
-- 
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr